public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-mathematics/gappa/
Date: Sat, 25 Jun 2011 17:22:09 +0000 (UTC)	[thread overview]
Message-ID: <55cc2668a40b877bdcfbd3294d219d7516e550c6.jlec@gentoo> (raw)

commit:     55cc2668a40b877bdcfbd3294d219d7516e550c6
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 25 16:23:33 2011 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Jun 25 16:23:33 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=55cc2668

Version Bump

---
 sci-mathematics/gappa/ChangeLog           |    6 +++
 sci-mathematics/gappa/gappa-0.14.0.ebuild |   56 -----------------------------
 sci-mathematics/gappa/gappa-0.15.0.ebuild |   56 +++++++++++++++++++++++++++++
 3 files changed, 62 insertions(+), 56 deletions(-)

diff --git a/sci-mathematics/gappa/ChangeLog b/sci-mathematics/gappa/ChangeLog
index 8175f69..c5da9be 100644
--- a/sci-mathematics/gappa/ChangeLog
+++ b/sci-mathematics/gappa/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*gappa-0.15.0 (25 Jun 2011)
+
+  25 Jun 2011; Justin Lecher <jlec@gentoo.org> -gappa-0.14.0.ebuild,
+  +gappa-0.15.0.ebuild:
+  Version Bump
+
   13 Feb 2011; J.-C. Demay <jcdemay@gmail.com>
   +gappa-0.14.0.ebuild, -gappa-0.13.0.ebuild:
   version bump

diff --git a/sci-mathematics/gappa/gappa-0.14.0.ebuild b/sci-mathematics/gappa/gappa-0.14.0.ebuild
deleted file mode 100644
index 1339151..0000000
--- a/sci-mathematics/gappa/gappa-0.14.0.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-DESCRIPTION="A tool to help verifying and proving properties on floating-point or fixed-point arithmetic."
-HOMEPAGE="http://gappa.gforge.inria.fr/"
-SRC_URI="http://gforge.inria.fr/frs/download.php/26856/${P}.tar.gz"
-
-LICENSE="|| ( CeCILL-2.0 GPL-2 )"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE="doc"
-
-RDEPEND="dev-libs/gmp
-	dev-libs/mpfr
-	dev-libs/boost"
-DEPEND="${RDEPEND}
-		doc? ( app-text/texlive
-				app-text/ghostscript-gpl
-				app-doc/doxygen )"
-
-src_unpack() {
-	unpack ${A}
-	mv ${S/%0.14.0/0.13.0} ${S}
-	cd ${S}
-}
-
-src_prepare() {
-	sed -i doc/doxygen/Doxyfile \
-		-e "s/GENERATE_LATEX         = NO/GENERATE_LATEX         = YES/g" \
-		-e "s/USE_PDFLATEX           = NO/USE_PDFLATEX           = YES/g" \
-		-e "s/PDF_HYPERLINKS         = NO/PDF_HYPERLINKS         = YES/g"
-}
-
-src_compile(){
-	emake DESTDIR="/" || die "emake failed"
-
-	if use doc; then
-		cd doc/doxygen
-		doxygen Doxyfile || die "doxygen failed"
-		cd "${S}"
-		emake -C doc/doxygen/latex || die "emake doc failed"
-	fi
-}
-
-src_install(){
-	emake install DESTDIR="${D}" || die "emake install failed"
-	dodoc AUTHORS NEWS README
-
-	if use doc; then
-		mv doc/doxygen/latex/refman.pdf ./gappa.pdf
-		dodoc ./gappa.pdf
-	fi
-}

diff --git a/sci-mathematics/gappa/gappa-0.15.0.ebuild b/sci-mathematics/gappa/gappa-0.15.0.ebuild
new file mode 100644
index 0000000..525651f
--- /dev/null
+++ b/sci-mathematics/gappa/gappa-0.15.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+ID=28594
+
+DESCRIPTION="Verifying and proving properties on floating-point or fixed-point arithmetic"
+HOMEPAGE="http://gappa.gforge.inria.fr/"
+SRC_URI="https://gforge.inria.fr/frs/download.php/${ID}/${P}.tar.gz"
+
+LICENSE="|| ( CeCILL-2.0 GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc"
+
+RDEPEND="
+	dev-libs/boost
+	dev-libs/gmp
+	dev-libs/mpfr"
+DEPEND="${RDEPEND}
+	doc? (
+		app-text/texlive
+		app-text/ghostscript-gpl
+		app-doc/doxygen )"
+
+src_prepare() {
+	if use doc; then
+		sed \
+			-i doc/doxygen/Doxyfile \
+			-e "s/GENERATE_LATEX         = NO/GENERATE_LATEX         = YES/g" \
+			-e "s/USE_PDFLATEX           = NO/USE_PDFLATEX           = YES/g" \
+			-e "s/PDF_HYPERLINKS         = NO/PDF_HYPERLINKS         = YES/g" || die
+	fi
+}
+
+src_compile(){
+	emake DESTDIR="/"
+
+	if use doc; then
+		cd doc/doxygen
+		doxygen Doxyfile || die "doxygen failed"
+		cd "${S}"
+		emake -C doc/doxygen/latex
+	fi
+}
+
+src_install(){
+	default
+
+	if use doc; then
+		mv doc/doxygen/latex/refman.pdf ./gappa.pdf
+		dodoc ./gappa.pdf
+	fi
+}



             reply	other threads:[~2011-06-25 17:28 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-06-25 17:22 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-01-03 19:09 [gentoo-commits] proj/sci:master commit in: sci-mathematics/gappa/ Andrew Ammerlaan
2021-06-09 14:25 Andrew Ammerlaan
2021-06-09 14:25 Andrew Ammerlaan
2021-06-09 14:25 Andrew Ammerlaan
2021-03-04 12:09 Andrew Ammerlaan
2021-03-04 12:09 Andrew Ammerlaan
2015-09-21 19:05 Justin Lecher
2014-09-16 17:01 Christoph Junghans
2013-08-12 21:27 Sebastien Fabbro
2013-01-14 14:10 Jonathan-Christofer Demay
2012-02-06 14:31 Jonathan-Christofer Demay
2011-02-13  8:02 Jonathan-Christofer Demay

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=55cc2668a40b877bdcfbd3294d219d7516e550c6.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox